cURL
curl --request GET \
--url https://api.mudstack.com/workspaces/assets/{asset_id}/comments \
--header 'Authorization: Bearer <token>' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.mudstack.com/workspaces/assets/{asset_id}/comments"
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.mudstack.com/workspaces/assets/{asset_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"asset_id": "<string>",
"asset_version_id": "<string>",
"user_id": "<string>",
"content": "<string>",
"mentions": [
"<string>"
],
"viewer_metadata": {},
"attachments": [
{
"id": "<string>",
"asset_id": "<string>",
"created_by_user_id": "<string>",
"file_id": "<string>",
"thumbnail_file_id": "<string>",
"review_id": "<string>",
"comment_id": "<string>",
"name": "<string>",
"description": "<string>",
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
}
],
"version": {
"id": "<string>",
"asset_id": "<string>",
"created_by_user_id": "<string>",
"thumbnail_file_id": "<string>",
"name": "<string>",
"description": "<string>",
"key": "<string>",
"size": 123,
"version_number": 123,
"sequence": 123,
"checksum": "<string>",
"commit_parent_id": "<string>",
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
},
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
}
]Comments
Get comments
Retrieve all comments for a specific asset.
GET
/
workspaces
/
assets
/
{asset_id}
/
comments
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
A list of comments
Unique identifier for the comment.
Identifier of the asset the comment is associated with.
Identifier of the asset version the comment is associated with, if any.
Identifier of the user who made the comment.
The content of the comment.
List of user identifiers mentioned in the comment.
Metadata related to the viewer.
List of attachments associated with the comment.
Show child attributes
Show child attributes
The version of the asset associated with the comment.
Show child attributes
Show child attributes
The user who made the comment.
Show child attributes
Show child attributes
Was this page helpful?
⌘I